Loading...
Searching...
No Matches
lu.c File Reference
`#include <math.h>`
`#include <grass/gis.h>`
`#include <grass/gmath.h>`
Include dependency graph for lu.c:

Go to the source code of this file.

## Macros

#define | TINY 1.0e-20;

## Functions

int | G_ludcmp (double **a, int n, int *indx, double *d)
| LU decomposition.
void | G_lubksb (double **a, int n, int *indx, double b[])
| LU backward substitution.

## Macro Definition Documentation

## TINY

#define TINY 1.0e-20;

Definition at line 5 of file lu.c.

## Function Documentation

## G_lubksb()

void G_lubksb | ( | double ** | a,
|  | int | n,
|  | int * | indx,
|  | double | b[] )

LU backward substitution.

Parameters

  a | double **
  n | int
  indx | int *
  b | double []

Returns
  void

Definition at line 103 of file lu.c.

References b.

Referenced by IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), and IL_resample_interp_segments_2d().

## G_ludcmp()

int G_ludcmp | ( | double ** | a,
|  | int | n,
|  | int * | indx,
|  | double * | d )

LU decomposition.

Parameters

  a | double **
  n | int
  indx | int *
  d | double *

Returns
  0 on singular matrix, 1 on success

Definition at line 17 of file lu.c.

References FALSE, G_alloc_vector(), G_free_vector(), TINY, and TRUE.

Referenced by IL_matrix_create_alloc().